# $Revision: 1.15 $, $Date: 2011/11/04 23:05:52 $
#
# TODO:
#	- devel, libs and static subpackages
#	- add afflib bcond (and prepare afflib package :)
#
Summary:	The Sleuth Kit - an forensic toolkit for analyzing file systems and disks
Summary(pl.UTF-8):	The Sleuth Kit - zestaw narzędzi wspomagających analizę systemów plików
Name:		sleuthkit
Version:	3.2.3
Release:	1
License:	IBM Public License/Common Public License
Group:		Applications
Source0:	http://downloads.sourceforge.net/sleuthkit/%{name}-%{version}.tar.gz
# Source0-md5:	29465ebe32cfeb5f0cab83e4e93823c5
URL:		http://www.sleuthkit.org/sleuthkit/
#BuildRequires:	autoconf
#BuildRequires:	automake
BuildRequires:	libewf-devel
BuildRequires:	libstdc++-devel
#BuildRequires:	libtool
BuildRequires:	openssl-devel
BuildRequires:	perl-base
BuildRequires:	sed >= 4.0
Requires:	coreutils
Requires:	file
# XXX: openssl library (should be autodetected) or openssl-tools or perl-OpenSSL-??? ?
Requires:	openssl
Requires:	perl-Date-Manip
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Sleuth Kit is an open source forensic toolkit for analyzing
Microsoft and UNIX file systems and disks. The Sleuth Kit enables
investigators to identify and recover evidence from images acquired
during incident response or from live systems. The Sleuth Kit is open
source, which allows investigators to verify the actions of the tool
or customize it to specific needs.

It is recommended that these command line tools can be used with the
Autopsy Forensic Browser. Autopsy,
(<http://www.sleuthkit.org/autopsy/>), is a graphical interface to the
tools of The Sleuth Kit and automates many of the procedures and
provides features such as image searching and MD5 image integrity
checks.

As with any investigation tool, any results found with The Sleuth Kit
should be be recreated with a second tool to verify the data.

%description -l pl.UTF-8
The Sleuth Kit to mający otwarte źródła zestaw narzędzi do analizy
systemów plików i dysków z systemami Microsoftu i uniksowymi. The
Sleuth Kit umożliwia badającym zidentyfikować i odtworzyć dowody
uzyskane podczas reakcji na incydent lub z żywych systemów. The Sleuth
Kit ma otwarte źródła, co pozwala badającym zweryfikować działania
narzędzia lub przystosować je do określonych potrzeb.

Zalecane jest używanie tych narzędzi działających z linii poleceń wraz
z przeglądarką Autopsy (<http://www.sleuthkit.org/autopsy/>), będącą
graficznym interfejsem do narzędzi z The Sleuth Kit i automatyzującą
wiele procedur oraz udostępniającą możliwości takie jak przeszukiwanie
obrazów i sprawdzanie integralności obrazów za pomocą sum MD5.

Podobnie jak przy dowolnym narzędziu badawczym wszelkie wyniki
uzyskane przy użyciu tego zestawu powinny być odtworzone przy użyciu
drugiego narzędzia dla zweryfikowania wiarygodności.

%prep
%setup -q
sed -i -e 's/-static//' {samples,tests,tools/*tools}/Makefile.in

%build
%configure \
	--without-afflib

sed -i -e 's/^\(LIBS = -lewf\)/\1 -ldl -lpthread/' {tools/autotools,tsk3}/Makefile
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
     DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc NEWS.txt README.txt licenses/*
%attr(755,root,root) %{_bindir}/*
%{_datadir}/tsk3
%{_includedir}/tsk3
%{_libdir}/libtsk3.*
%{_mandir}/man1/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: sleuthkit.spec,v $
Revision 1.15  2011/11/04 23:05:52  mguevara
- up to 3.2.3-1

Revision 1.14  2011/06/14 12:29:00  gotar
- upgraded to 3.2.2

Revision 1.13  2011/01/28 02:59:17  sparky
- BR: libstdc++-devel
- adapter

Revision 1.12  2011/01/02 22:43:08  gotar
- upgraded to 3.2.0, build shared binaries with EWF support, fixed linking,
- removed libtsk.la, updated TODOs, cosmetics

Revision 1.11  2010/07/15 22:46:40  mguevara
- up to 3.1.3-1

Revision 1.10  2009/07/03 07:00:25  mguevara
- added --disable-afflib and --disable-ewf configure options; updated
  todo info

Revision 1.9  2009/06/30 21:34:05  mguevara
- added missing sorter dir

Revision 1.8  2009/06/30 21:25:38  mguevara
- 3.0.1-1

Revision 1.7  2008/10/23 13:29:42  mguevara
- 2.09-2; renamed libmagic man page to tsk_libmagic to prevent conflicts
  with libmagic-devel

Revision 1.6  2007/11/15 17:46:49  mguevara
- 2.09-1 release, added make -j1

Revision 1.5  2007-11-15 15:13:17  mguevara
- up to 2.09 release, todo update

Revision 1.4  2007-02-12 22:09:15  glen
- tabs in preamble

Revision 1.3  2007/02/12 01:06:45  baggins
- converted to UTF-8

Revision 1.2  2006/11/07 21:56:20  qboosh
- pl

Revision 1.1  2006/10/30 15:14:20  mguevara
- initial
